Package Details: frotz 2.44-6

Git Clone URL: https://aur.archlinux.org/frotz.git (read-only)
Package Base: frotz
Description: Z-machine interpreter for interactive fiction games
Upstream URL: http://frotz.sf.net/
Licenses: GPL
Submitter: None
Maintainer: None
Last Packager: xyproto
Votes: 54
Popularity: 0.578474
First Submitted: 2005-05-25 21:49
Last Updated: 2017-11-20 14:16

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

xyproto commented on 2017-11-20 14:17

@AbysmalBiscuit Updated the PKGBUILD to also use "-ltinfo". Thank you.

AbysmalBiscuit commented on 2017-10-28 06:41

The build process fails.

The issue more specifically is that there is a problem with the linking of the ncurses library, since it needs the tinfo library (so tinfo must be linked as well).
This seems to be a bug that has been introduced with a recent update to ncurses.

The Makefile needs to have: CURSES = -lncurses -ltinfo

H̶e̶r̶e̶ ̶i̶s̶ ̶a̶ ̶l̶i̶n̶k̶ ̶t̶o̶ ̶t̶h̶e̶ ̶P̶K̶G̶B̶U̶I̶L̶D̶ ̶w̶i̶t̶h̶ ̶a̶ ̶h̶o̶t̶f̶i̶x̶:̶
Here is a link to a fixed PKGBUILD:
https://pastebin.com/4LKX7NYz

(As a side note: the $opt argument in the setconf command in the prepare() section wasn't double quoted which can cause problems.)

xyproto commented on 2017-02-08 14:25

@benutzer193, fixed, thanks!

benutzer193 commented on 2016-12-16 09:33

@xyproto: you forgot to update .SRCINFO in the last commit.